## NAME

r.info - Outputs basic information about a user-specified raster map layer.
(GRASS Raster Program)

## SYNOPSIS

r.info
r.info help
r.info [-r] map=name

## DESCRIPTION

r.info reports some basic information about a user-specified raster map layer. This map layer must exist in the user's current mapset search path. Information about the map's boundaries, resolution, projection, data type, category number, data base location and mapset, and history are put into a table and written to standard output. The types of information listed can also be found in the cats, cellhd, and hist directories under the mapset in which the named map is stored.

## OPTIONS

### Flags:

-r
  print range only and exit

### Parameters:

map=name
  name of an existing raster map layer

The program will be run non-interactively if the user specifies the name of a raster map layer on the command line, using the form:

  r.info map=name

where name is the name of a raster map layer on which the user seeks information. The user can save the tabular output to a file by using the UNIX redirection mechanism (>); for example, the user might save a report on the soils map layer in a file called soil.rpt by typing:

  r.info map=soils > soil.rpt

Alternately, the user can simply type r.info on the command line, without program arguments. In this case, the user will be prompted for the name of a raster map layer using the standard GRASS parser interface. The user is asked whether he wishes to print the report and/or save it in a file. If saved, the report is stored in a user-named file in the user's home directory.

Below is the report produced by r.info for the raster map geology in the Spearfish sample data base.

    |------------------------------------------------------------|
    | Layer:    geology        Date: Mon May  4 10:00:14 1987 :  |
    | Location: spearfish      Login of Creator: grass           |
    | Mapset:   PERMANENT                                        |
    | Title:    Geology                                          |
    |------------------------------------------------------------|
    |                                                            |
    |   Type of Map:  raster          Number of Categories: 9    |
    |   Rows:         140                                        |
    |   Columns:      190                                        |
    |   Total Cells:  26600                                      |
    |                                                            |
    |   Projection: UTM (zone 13)                                |
    |      N: 4928000.00    S: 4914000.00   Res: 100.00          |
    |      E:  609000.00    W:  590000.00   Res: 100.00          |
    |                                                            |
    |   Data Source:                                             |
    |   Raster file produced by EROS Data Center                 |
    |                                                            |
    |                                                            |
    |   Data Description:                                        |
    |   Shows the geology for the map area                       |
    |                                                            |
    |   Comments:                                                |
    |                                                            |
    |------------------------------------------------------------|

## SEE ALSO

g.mapsets, r.coin, r.describe, r.report, r.stats, r.support, r.what, and parser

## AUTHOR

Michael O'Shea, U.S. Army Construction Engineering Research Laboratory

Last changed: $Date: 2002/08/12 21:45:18 $